# $Revision: 1.258 $, $Date: 2010/05/27 14:54:52 $
#
# NOTE: Makefiles are broken, build could stop long time after first fatal error
# TODO:
#   - cleanup %%doc ./notes from dll/zip/sh/etc.
#   - pack: 
#   /usr/share/locale/de/LC_MESSAGES/mcs.mo
#   /usr/share/locale/es/LC_MESSAGES/mcs.mo
#   /usr/share/locale/ja/LC_MESSAGES/mcs.mo
#   - some C# 4.0 features don't work due to lack of
#   /usr/lib/mono/gac/Microsoft.CSharp/4.0.0.0__b03f5f7f11d50a3a/dmcs.dll
#
# Conditional build:
%bcond_without	tls		# don't use TLS (which requires recent 2.4.x or 2.6 kernel)
%bcond_without	static_libs	# don't build static libraries
%bcond_with	bootstrap	# don't require mono-devel to find req/prov
%bcond_with	mint		# build mint instead of mono VM (JIT) [broken]
#
%ifnarch %{ix86} %{x8664} alpha arm ia64 ppc s390 s390x sparc sparcv9 sparc64
# JIT not supported on hppa
%define		with_mint	1
%endif
%define		glib_ver	1:2.4
#
Summary:	Common Language Infrastructure implementation
Summary(pl.UTF-8):	Implementacja Common Language Infrastructure
Name:		mono
Version:	2.6.4
Release:	1
License:	LGPL (VM), GPL (C# compilers), MIT X11 with GPL additions (classes, tools)
Group:		Development/Languages
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/mono/%{name}-%{version}.tar.bz2
# Source0-md5:	342a7ca3bea3cbec0c8ac48b9322fcb4
Patch0:		%{name}-alpha-float.patch
Patch1:		%{name}-mint.patch
Patch2:		%{name}-sonames.patch
Patch3:		%{name}-awk.patch
Patch4:		%{name}-console-no-utf8-bom.patch
Patch5:		%{name}-pc.patch
Patch6:		%{name}-ARG_MAX.patch
URL:		http://www.mono-project.com/
%if %(test -r /dev/random; echo $?)
BuildRequires:	ACCESSIBLE_/dev/random
%endif
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	libtool
%{!?with_bootstrap:BuildRequires:	mono-csharp}
%{!?with_bootstrap:BuildRequires:	mono-devel >= 1.1.8.3-2}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	rpmbuild(monoautodeps)
BuildRequires:	zlib-devel
BuildConflicts:	mono < 2.4
Suggests:	binfmt-detector
# for System.Drawing
Suggests:	libgdiplus >= 2.6
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ia64 mips ppc s390 s390x sparc sparcv9
# plain i386 is not supported; mono uses cmpxchg/xadd which require i486
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_rpmlibdir	/usr/lib/rpm

# debugger doesn't work with stripped mono
%define         _noautostrip    .*/mono

%if %{without bootstrap}
%define	__mono_provides	%{_rpmlibdir}/mono-find-provides
%define	__mono_requires	%{_rpmlibdir}/mono-find-requires
%endif

%description
The Common Language Infrastructure platform. Microsoft has created a
new development platform. The highlights of this new development
platform are:
- A runtime environment that provides garbage collection, threading
  and a virtual machine specification (The Virtual Execution System,
  VES),
- A comprehensive class library,
- A new language, C#. Very similar to Java, C# allows programmers to
  use all the features available on the .NET runtime,
- A language specification that compilers can follow if they want to
  generate classes and code that can interoperate with other programming
  languages (The Common Language Specification: CLS).

%{?with_tls:This version was built with TLS __thread.}

%description -l pl.UTF-8
Platforma CLI (Common Language Infrastructure). Microsoft stworzył
nową platformę developerską. Zalety tej platformy to:
- środowisko, które dostarcza garbage collector, wątki oraz
  specyfikację maszyny wirtualnej (The Virtual Execution System, VES),
- bibliotekę klas,
- nowy język, C#. Bardzo podobny do Javy, C# pozwala programistom na
  używanie wszystkich możliwości dostarczanych przez platformę .NET,
- specyfikacja dla kompilatorów, które chcą generować kod
  współpracujący z innymi językami programowania (The Common Language
  Specification: CLS).

%{?with_tls:Ta wersja została zbudowana z TLS __thread.}

%package devel
Summary:	Development resources for mono
Summary(pl.UTF-8):	Zasoby programisty do mono
License:	LGPL (VM), MIT X11 with GPL additions (classes, tools)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= %{glib_ver}

%description devel
Development resources for mono.

%description devel -l pl.UTF-8
Zasoby programisty dla mono.

%package debug
Summary:	Mono libraries debugging resources
Summary(pl.UTF-8):	Pliki umożliwiające debugowanie bibliotek mono
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description debug
Mono libraries debugging resources.

%description debug -l pl.UTF-8
Pliki umożliwiające debugowanie bibliotek mono.

%package csharp
Summary:	C# compiler for mono
Summary(pl.UTF-8):	Kompilator C# dla mono
License:	GPL
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description csharp
C# compiler for mono.

%description csharp -l pl.UTF-8
Kompilator C# dla mono.

%package ilasm
Summary:	ILasm compiler for mono
Summary(pl.UTF-8):	Kompilator ILasm dla mono
# implied
License:	MIT X11
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}
Provides:	ilasm
Obsoletes:	pnet-compiler-ilasm

%description ilasm
ILasm compiler for mono.

%description ilasm -l pl.UTF-8
Kompilator ILasm dla mono.

%package jscript
Summary:	jscript compiler for mono
Summary(pl.UTF-8):	Kompilator jscript dla mono
License:	MIT X11
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description jscript
jscript compiler for mono.

%description jscript -l pl.UTF-8
Kompilator jscript dla mono.

%package monodoc
Summary:	Documentation for Mono class libraries and tools to produce and edit the documentation
Summary(pl.UTF-8):	Dokumentacja klas Mono wraz z narzędziami do jej generowania i przeglądania
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	monodoc = %{version}-%{release}
Obsoletes:	monodoc

%description monodoc
This package contains the documentation for the Mono class libraries,
tools to produce and edit the documentation, and a documentation
browser.

%description monodoc -l pl.UTF-8
Ten pakiet zawiera dokumentację klas Mono wraz z narzędziami do jej
generowania i przeglądania.

%package static
Summary:	Static mono library
Summary(pl.UTF-8):	Statyczna biblioteka mono
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mono library.

%description static -l pl.UTF-8
Statyczna biblioteka mono.

%package jay
Summary:	Yacc-like parser generator for Java and C#
Summary(pl.UTF-8):	Podobny do Yacca generator parserów dla Javy i C#
License:	BSD
Group:		Development/Tools

%description jay
Yacc-like parser generator for Java and C#.

%description jay -l pl.UTF-8
Podobny do Yacca generator parserów dla Javy i C#.

%package compat-links
Summary:	Mono compatibility links
Summary(pl.UTF-8):	Dowiązania dla kompatybilności
# resgen license
License:	MIT X11
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description compat-links
This package contains links to binaries with names used in .NET and
dotGNU.

%description compat-links -l pl.UTF-8
Pakiet ten zawiera dowiązania do programów o nazwach używanych w .NET
oraz dotGNU.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

# for jay
cat >>mcs/build/config-default.make <<EOF
CC = %{__cc}
CFLAGS = %{rpmcflags}
EOF

%build
cp -f /usr/share/automake/config.sub .
cp -f /usr/share/automake/config.sub libgc
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd libgc
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ..

# -DUSE_COMPILER_TLS is passed to libgc by main configure, but our
# CPPFLAGS override that CPPFLAGS
CPPFLAGS="-DUSE_LIBC_PRIVATE_SYMBOLS -DUSE_COMPILER_TLS"
%configure \
	%{!?with_static_libs:--disable-static} \
	--enable-fast-install \
	--with-gc=included \
	--enable-parallel-mark=yes \
	--with-icu=no \
	--with-interp=%{?with_mint:yes}%{!?with_mint:no} \
	--with-jit=%{?with_mint:no}%{!?with_mint:yes} \
	--with-preview=yes \
	--with-profile2=yes \
	--with-profile4=yes \
	--with-moonlight=yes \
	--with-monotouch=no \
	--with-tls=%{?with_tls:__thread}%{!?with_tls:pthread}

# mint uses heap to make trampolines, which need to be executable
# there is mprotect(...,PROT_EXEC) for ppc/s390, but not used
# (ifdef NEED_MPROTECT, which is never defined)
# in fact the flag should be "-Wl,-z,execheap" for libmint, but:
# -z execheap doesn't seem to do anything currently
# -z execstack for library makes only stack executable, but not heap
%{__make} -j1 \
	mint_LDFLAGS="-Wl,-z,execheap -Wl,-z,execstack"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_rpmlibdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

strip --strip-debug $RPM_BUILD_ROOT%{_bindir}/mono

rm -f $RPM_BUILD_ROOT%{_datadir}/jay/[A-Z]*

# this way we can run rpmbuild -bi several times, and directories
# have more meaningful name.
rm -rf pld-doc
install -d pld-doc/{webpage,notes}
cp -a web/* pld-doc/webpage
cp -a docs/* pld-doc/notes
rm -f pld-doc/*/Makefile*

rm -rf $RPM_BUILD_ROOT%{_datadir}/libgc-mono

mv -f $RPM_BUILD_ROOT%{_bindir}/mono-find-* $RPM_BUILD_ROOT%{_rpmlibdir}

# loadable modules
rm $RPM_BUILD_ROOT%{_libdir}/lib{MonoPosixHelper,MonoSupportW,ikvm-native}.la
%if %{with static_libs}
rm $RPM_BUILD_ROOT%{_libdir}/lib{MonoPosixHelper,MonoSupportW,ikvm-native}.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README pld-doc/*
%if %{with mint}
%attr(755,root,root) %{_bindir}/mint
%else
%attr(755,root,root) %{_bindir}/mono
%endif
%attr(755,root,root) %{_bindir}/caspol
%attr(755,root,root) %{_bindir}/cert2spc
%attr(755,root,root) %{_bindir}/certmgr
%attr(755,root,root) %{_bindir}/chktrust
%attr(755,root,root) %{_bindir}/dtd2rng
%attr(755,root,root) %{_bindir}/gacutil1
%attr(755,root,root) %{_bindir}/gacutil
%attr(755,root,root) %{_bindir}/gacutil2
%attr(755,root,root) %{_bindir}/httpcfg
%attr(755,root,root) %{_bindir}/installvst
%attr(755,root,root) %{_bindir}/makecert
%attr(755,root,root) %{_bindir}/mconfig
%attr(755,root,root) %{_bindir}/mkbundle
%attr(755,root,root) %{_bindir}/mkbundle1
%attr(755,root,root) %{_bindir}/mkbundle2
%attr(755,root,root) %{_bindir}/mono-service
%attr(755,root,root) %{_bindir}/mono-service2
%attr(755,root,root) %{_bindir}/mono-test-install
%attr(755,root,root) %{_bindir}/mono-xmltool
%attr(755,root,root) %{_bindir}/mozroots
%attr(755,root,root) %{_bindir}/pdb2mdb
%attr(755,root,root) %{_bindir}/secutil
%attr(755,root,root) %{_bindir}/setreg
%attr(755,root,root) %{_bindir}/sgen
%attr(755,root,root) %{_bindir}/signcode
%attr(755,root,root) %{_bindir}/sn
%attr(755,root,root) %{_bindir}/sqlmetal
%attr(755,root,root) %{_bindir}/svcutil
%if %{with mint}
%attr(755,root,root) %{_libdir}/libmint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmint.so.0
%else
%attr(755,root,root) %{_libdir}/libmono.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmono.so.0
%attr(755,root,root) %{_libdir}/libmono-profiler-aot.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmono-profiler-aot.so.0
%attr(755,root,root) %{_libdir}/libmono-profiler-cov.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmono-profiler-cov.so.0
%attr(755,root,root) %{_libdir}/libmono-profiler-logging.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmono-profiler-logging.so.0
%endif
%attr(755,root,root) %{_libdir}/libMonoPosixHelper.so
%attr(755,root,root) %{_libdir}/libMonoSupportW.so
%attr(755,root,root) %{_libdir}/libikvm-native.so
%dir %{_prefix}/lib/mono
%dir %{_prefix}/lib/mono/1.0
%{_prefix}/lib/mono/1.0/*.dll
%attr(755,root,root) %{_prefix}/lib/mono/1.0/RabbitMQ.Client.Apigen.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/caspol.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/cert2spc.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/certmgr.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/chktrust.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/culevel.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/gacutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/installutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/installvst.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mkbundle.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-service.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mozroots.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/secutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/setreg.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/signcode.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/sn.exe
%dir %{_prefix}/lib/mono/2.0
%attr(755,root,root) %{_prefix}/lib/mono/2.0/RabbitMQ.Client.Apigen.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/gacutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/httpcfg.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/installutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mconfig.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mkbundle.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-service.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/pdb2mdb.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/sgen.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/sqlmetal.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/sqlmetal.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/svcutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/xsd.exe
%{_prefix}/lib/mono/2.0/*.dll
%dir %{_prefix}/lib/mono/3.5
%{_prefix}/lib/mono/3.5/*.dll
%dir %{_prefix}/lib/mono/4.0
%attr(755,root,root) %{_prefix}/lib/mono/4.0/RabbitMQ.Client.Apigen.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/gacutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/httpcfg.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/installutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mconfig.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mkbundle.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mono-service.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/pdb2mdb.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/sgen.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/sqlmetal.exe
%{_prefix}/lib/mono/4.0/sqlmetal.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/4.0/svcutil.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/xsd.exe
%{_prefix}/lib/mono/4.0/*.dll
%dir %{_prefix}/lib/mono/compat-1.0
%{_prefix}/lib/mono/compat-1.0/*.dll
%dir %{_prefix}/lib/mono/compat-2.0
%{_prefix}/lib/mono/compat-2.0/*.dll
%dir %{_prefix}/lib/mono/compat-4.0
%{_prefix}/lib/mono/compat-4.0/*.dll
%{_prefix}/lib/mono/gac
%exclude %{_prefix}/lib/mono/gac/*/*/*.mdb
%{_prefix}/lib/mono-source-libs
%{_mandir}/man1/cert2spc.1*
%{_mandir}/man1/certmgr.1*
%{_mandir}/man1/chktrust.1*
%{_mandir}/man1/gacutil.1*
%{_mandir}/man1/httpcfg.1*
%{_mandir}/man1/makecert.1*
%{_mandir}/man1/mconfig.1*
%{_mandir}/man1/mkbundle.1*
%{_mandir}/man1/mint.1*
%{_mandir}/man1/mono.1*
%{_mandir}/man1/mono-service.1*
%{_mandir}/man1/mozroots.1*
%{_mandir}/man1/pdb2mdb.1*
%{_mandir}/man1/secutil.1*
%{_mandir}/man1/setreg.1*
%{_mandir}/man1/sgen.1*
%{_mandir}/man1/signcode.1*
%{_mandir}/man1/sn.1*
%{_mandir}/man5/mono-config.5*
%dir %{_sysconfdir}/mono
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/browscap.ini
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/config
%dir %{_sysconfdir}/mono/mconfig
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/mconfig/config.xml
%dir %{_sysconfdir}/mono/1.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/1.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/1.0/machine.config
%dir %{_sysconfdir}/mono/2.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/machine.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/settings.map
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/web.config
%dir %{_sysconfdir}/mono/2.0/Browsers
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/2.0/Browsers/Compat.browser
%dir %{_sysconfdir}/mono/4.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/4.0/machine.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/4.0/settings.map
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/mono/4.0/web.config

%exclude %{_prefix}/lib/mono/gac/Microsoft.JScript
%exclude %{_prefix}/lib/mono/1.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/2.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/4.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/gac/monodoc

%files jay
%defattr(644,root,root,755)
%doc mcs/jay/{ACKNOWLEDGEMENTS,ChangeLog,NEW_FEATURES,NOTES,README,README.jay}
%attr(755,root,root) %{_bindir}/jay
%dir %{_datadir}/jay
%{_datadir}/jay/skeleton*
%{_mandir}/man1/jay.1*

%files jscript
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mjs
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mjs.exe
%{_prefix}/lib/mono/gac/Microsoft.JScript
%{_prefix}/lib/mono/1.0/Microsoft.JScript.dll
%{_prefix}/lib/mono/2.0/Microsoft.JScript.dll
%{_prefix}/lib/mono/4.0/Microsoft.JScript.dll
%exclude %{_prefix}/lib/mono/gac/*/*/*.mdb

%files compat-links
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/resgen
%attr(755,root,root) %{_bindir}/resgen1
%attr(755,root,root) %{_bindir}/resgen2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/al
%attr(755,root,root) %{_bindir}/al1
%attr(755,root,root) %{_bindir}/al2
%attr(755,root,root) %{_bindir}/cilc
%attr(755,root,root) %{_bindir}/disco
%attr(755,root,root) %{_bindir}/dtd2xsd
%attr(755,root,root) %{_bindir}/genxs
%attr(755,root,root) %{_bindir}/genxs1
%attr(755,root,root) %{_bindir}/macpack
%attr(755,root,root) %{_bindir}/mono-api-info
%attr(755,root,root) %{_bindir}/mono-cil-strip
%attr(755,root,root) %{_bindir}/monodis
%attr(755,root,root) %{_bindir}/monograph
%attr(755,root,root) %{_bindir}/monolinker
%attr(755,root,root) %{_bindir}/monop
%attr(755,root,root) %{_bindir}/monop1
%attr(755,root,root) %{_bindir}/monop2
%attr(755,root,root) %{_bindir}/mono-shlib-cop
%attr(755,root,root) %{_bindir}/mono-gdb.py
%attr(755,root,root) %{_bindir}/lc
%attr(755,root,root) %{_bindir}/nunit-console
%attr(755,root,root) %{_bindir}/nunit-console2
%attr(755,root,root) %{_bindir}/pedump
%attr(755,root,root) %{_bindir}/permview
%attr(755,root,root) %{_bindir}/prj2make
%attr(755,root,root) %{_bindir}/soapsuds
%attr(755,root,root) %{_bindir}/sqlsharp
%attr(755,root,root) %{_bindir}/wsdl
%attr(755,root,root) %{_bindir}/wsdl1
%attr(755,root,root) %{_bindir}/wsdl2
%attr(755,root,root) %{_bindir}/xbuild
%attr(755,root,root) %{_bindir}/xsd
%attr(755,root,root) %{_bindir}/xsd2
%if %{with mint}
%attr(755,root,root) %{_libdir}/libmint.so
%{_libdir}/libmint.la
%else
%attr(755,root,root) %{_libdir}/libmono.so
%attr(755,root,root) %{_libdir}/libmono-profiler-aot.so
%attr(755,root,root) %{_libdir}/libmono-profiler-cov.so
%attr(755,root,root) %{_libdir}/libmono-profiler-logging.so
%{_libdir}/libmono.la
%{_libdir}/libmono-profiler-aot.la
%{_libdir}/libmono-profiler-cov.la
%{_libdir}/libmono-profiler-logging.la
%endif
%attr(755,root,root) %{_prefix}/lib/mono/1.0/al.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/browsercaps-updater.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/cilc.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/disco.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/dtd2rng.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/dtd2xsd.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/genxs.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/ictool.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/macpack.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/makecert.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mono-cil-strip.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/monop.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/nunit-console.exe
%{_prefix}/lib/mono/1.0/nunit-console.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/1.0/permview.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/prj2make.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/resgen.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/soapsuds.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/wsdl.exe
%attr(755,root,root) %{_prefix}/lib/mono/1.0/xsd.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/al.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/lc.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/monolinker.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-api-info.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-shlib-cop.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mono-xmltool.exe
%{_prefix}/lib/mono/2.0/mono-shlib-cop.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/monop.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/nunit-console.exe
%{_prefix}/lib/mono/2.0/nunit-console.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/resgen.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/sqlsharp.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/wsdl.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/xbuild.exe
%{_prefix}/lib/mono/2.0/xbuild.rsp
%{_prefix}/lib/mono/2.0/MSBuild
%{_prefix}/lib/mono/2.0/Microsoft.Build.xsd
%{_prefix}/lib/mono/2.0/Microsoft.CSharp.targets
%{_prefix}/lib/mono/2.0/Microsoft.Common.targets
%{_prefix}/lib/mono/2.0/Microsoft.VisualBasic.targets
%{_prefix}/lib/mono/2.0/Microsoft.Common.tasks
%attr(755,root,root) %{_prefix}/lib/mono/4.0/al.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/lc.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mono-api-info.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mono-shlib-cop.exe
%{_prefix}/lib/mono/4.0/mono-shlib-cop.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mono-xmltool.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/monolinker.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/monop.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/nunit-console.exe
%{_prefix}/lib/mono/4.0/nunit-console.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/4.0/resgen.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/sqlsharp.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/wsdl.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/xbuild.exe
%{_prefix}/lib/mono/xbuild
%attr(755,root,root) %{_rpmlibdir}/mono-find-provides
%attr(755,root,root) %{_rpmlibdir}/mono-find-requires
%{_datadir}/%{name}-1.0
%{_pkgconfigdir}/cecil.pc
%{_pkgconfigdir}/dotnet.pc
%{_pkgconfigdir}/dotnet35.pc
%{_pkgconfigdir}/mono-cairo.pc
%{_pkgconfigdir}/mono-nunit.pc
%if %{with mint}
%{_pkgconfigdir}/mint.pc
%else
%{_pkgconfigdir}/mono.pc
%endif
%{_pkgconfigdir}/mono-lineeditor.pc
%{_pkgconfigdir}/mono-options.pc
%{_pkgconfigdir}/mono.web.pc
%{_pkgconfigdir}/system.web.extensions.design_1.0.pc
%{_pkgconfigdir}/system.web.extensions_1.0.pc
%{_pkgconfigdir}/system.web.mvc.pc
%{_pkgconfigdir}/wcf.pc
%{_includedir}/%{name}-1.0
%{_mandir}/man1/al.1*
%{_mandir}/man1/cilc.1*
%{_mandir}/man1/disco.1*
%{_mandir}/man1/dtd2xsd.1*
%{_mandir}/man1/genxs.1*
%{_mandir}/man1/lc.1*
%{_mandir}/man1/macpack.1*
%{_mandir}/man1/monodis.1*
%{_mandir}/man1/monolinker.1*
%{_mandir}/man1/monop.1*
%{_mandir}/man1/mono-cil-strip.1*
%{_mandir}/man1/mono-shlib-cop.1*
%{_mandir}/man1/monostyle.1*
%{_mandir}/man1/mono-xmltool.1*
%{_mandir}/man1/oldmono.1*
%{_mandir}/man1/permview.1*
%{_mandir}/man1/prj2make.1*
%{_mandir}/man1/resgen.1*
%{_mandir}/man1/soapsuds.1*
%{_mandir}/man1/sqlsharp.1*
%{_mandir}/man1/wsdl.1*
%{_mandir}/man1/xbuild.1*
%{_mandir}/man1/xsd.1*

%files debug
%defattr(644,root,root,755)
%{_prefix}/lib/mono/1.0/*.mdb
%{_prefix}/lib/mono/2.0/*.mdb
%{_prefix}/lib/mono/4.0/*.mdb
%{_prefix}/lib/mono/gac/*/*/*.mdb

%files csharp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/csharp
%attr(755,root,root) %{_bindir}/dmcs
%attr(755,root,root) %{_bindir}/mcs
%attr(755,root,root) %{_bindir}/mcs1
%attr(755,root,root) %{_bindir}/gmcs
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mcs.exe
%{_prefix}/lib/mono/1.0/mcs.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/gmcs.exe
%{_prefix}/lib/mono/2.0/gmcs.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/2.0/csharp.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/csharp.exe
%{_prefix}/lib/mono/4.0/dmcs.exe.config
%attr(755,root,root) %{_prefix}/lib/mono/4.0/dmcs.exe
%{_mandir}/man1/mcs.1*
%{_mandir}/man1/csharp.1*

%files ilasm
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ilasm
%attr(755,root,root) %{_bindir}/ilasm1
%attr(755,root,root) %{_bindir}/ilasm2
%attr(755,root,root) %{_prefix}/lib/mono/1.0/ilasm.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/ilasm.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/ilasm.exe
%{_mandir}/man1/ilasm.1*

%files monodoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mdassembler
%attr(755,root,root) %{_bindir}/mdoc*
%attr(755,root,root) %{_bindir}/mod
%attr(755,root,root) %{_bindir}/monodocer
%attr(755,root,root) %{_bindir}/monodocs2html
%attr(755,root,root) %{_bindir}/monodocs2slashdoc
%attr(755,root,root) %{_bindir}/mdvalidater
%attr(755,root,root) %{_prefix}/lib/mono/1.0/mod.exe
%attr(755,root,root) %{_prefix}/lib/mono/2.0/mdoc.exe
%attr(755,root,root) %{_prefix}/lib/mono/4.0/mdoc.exe
%attr(755,root,root) %{_prefix}/lib/mono/monodoc/monodoc.dll
%{_prefix}/lib/mono/gac/monodoc
%dir %{_prefix}/lib/mono/monodoc
%dir %{_prefix}/lib/monodoc
%{_prefix}/lib/monodoc/*
%{_pkgconfigdir}/monodoc.pc
%{_mandir}/man1/mdassembler.1*
%{_mandir}/man1/mdoc*.1*
%{_mandir}/man1/monodocer.1*
%{_mandir}/man1/monodocs2html.1*
%{_mandir}/man1/mdvalidater.1*
%{_mandir}/man5/mdoc.5*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%if %{with mint}
%{_libdir}/libmint.a
%else
%{_libdir}/libmono.a
%{_libdir}/libmono-profiler-aot.a
%{_libdir}/libmono-profiler-cov.a
%{_libdir}/libmono-profiler-logging.a
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono.spec,v $
Revision 1.258  2010/05/27 14:54:52  pluto
- updated to 2.6.4, release 1.
- explicite --enable-parallel-mark=yes.

Revision 1.257  2010/04/09 17:45:22  pluto
- release 2 for rebuild with deps after bootstrap.

Revision 1.256  2010/04/08 23:03:08  pluto
- more TODO :/

Revision 1.255  2010/04/08 22:49:58  pluto
- minor 4.0 %%files movement, release 1.1 for boostrap build.

Revision 1.254  2010/04/08 20:53:25  pluto
- pass explicit ./configure options.
- build C# 4.0 stuff.
- update TODO.

Revision 1.253  2010/04/06 22:47:32  sparky
- external csharp compiler is required

Revision 1.252  2010/03/24 17:39:07  megabajt
- updated to 2.6.3

Revision 1.251  2010/03/11 20:14:47  megabajt
- release 2 (to generate mono deps)

Revision 1.250  2010/03/11 18:55:53  megabajt
- added BC: mono < 2.4

Revision 1.249  2010/03/11 17:14:07  megabajt
- seems to work on x86_64
- release 1

Revision 1.248  2010/03/10 19:18:18  megabajt
- updated -pc.patch; removed -metadata-makefile.patch (seems to be obsolete / broken)
- re-added -j1 to make in %build (build fails when more jobs is used)
- packaged more files
- release 0.6

Revision 1.247  2010/02/24 17:26:37  vip
- package more files
- remove -j1, works for me (add it back if fails for you/builder)

Revision 1.246  2010/02/23 23:40:29  vip
- start updating to 2.6.1

Revision 1.245  2010/02/22 16:05:15  sparky
- BR: gettext-devel

Revision 1.244  2010/02/22 14:05:04  sls
- monodoc Provided with version-release

Revision 1.243  2010/02/22 14:02:43  sls
- packaged /usr/lib/monodoc dir
- rel. 0.3

Revision 1.242  2009/09/04 05:09:10  glen
- x86_64 broken

Revision 1.241  2009/09/02 11:32:58  glen
- up to 2.4.2.3; builds

Revision 1.240  2009/07/23 19:08:06  vip
- up to 2.4.2.2

Revision 1.239  2009/07/04 16:24:31  marcus
- start upgrade to 2.4.2

Revision 1.238  2009/05/23 13:18:02  vip
- Provides: monodoc

Revision 1.237  2009/05/23 13:14:56  vip
- monodoc subpackage
- fix make install

Revision 1.236  2009/04/13 16:50:14  vip
- exclude monodoc gac in mono- package

Revision 1.235  2009/04/13 16:34:19  vip
- more files (only monodoc left)

Revision 1.234  2009/04/08 10:09:33  vip
- remove dead files
- still a lot of unpackaged files

Revision 1.233  2009/04/08 07:25:21  marcus
- start upgrade to 2.4, builds but has some troubles in %install

Revision 1.232  2008/11/13 07:52:18  arekm
- release 2

Revision 1.231  2008/11/06 19:21:27  sls
- ver. 2.0.1

Revision 1.230  2008/10/06 15:08:39  wolf
- 2.0

Revision 1.229  2008/06/18 21:48:42  qboosh
- updated to 1.9.1
- added ARG_MAX patch

Revision 1.228  2008/04/11 20:38:27  qboosh
- +sparcv9

Revision 1.227  2008-03-15 03:59:14  tommat
- no 64bit sparc support

Revision 1.226  2008-03-14 19:31:28  wolf
- 1.9

Revision 1.225  2007-12-15 18:26:39  qboosh
- updated URLs

Revision 1.224  2007-12-15 17:00:50  qboosh
- updated to 1.2.6
- removed obsolete g_thread_init patch
- added pc patch to sanitize paths in .pc files
- changed libgdiplus R to S
- file lists fixup and cleanup

Revision 1.223  2007-12-10 21:57:27  wrobell
- rel. 2

Revision 1.222  2007/10/17 00:11:55  wrobell
- ver. 1.2.5.1

Revision 1.221  2007/09/22 10:26:54  wolf
- S: binfmt-detector

Revision 1.220  2007/09/02 15:17:06  qboosh
- package mono-api-* scripts in -devel

Revision 1.219  2007/09/02 12:31:17  qboosh
- removed obsolete script_fixes patch

Revision 1.218  2007/09/01 14:39:09  wolf
- rel 1

Revision 1.217  2007/09/01 10:16:51  wrobell
- final 1.2.5 (does not work for me though)

Revision 1.216  2007/08/16 00:34:51  wolf
- 1.2.5 preview 3

Revision 1.215  2007/08/15 13:48:26  wrobell
- added 4 patches from debian fixing some issues (mainly ppc)

Revision 1.214  2007/05/16 07:31:37  deejay1
- up to 1.2.4

Revision 1.213  2007/03/29 21:29:45  glen
- todo about pkgconfig files

Revision 1.212  2007/02/17 09:01:46  qboosh
- consistent subpackages order

Revision 1.211  2007/02/16 18:13:13  deejay1
- up to 1.2.3.1

Revision 1.210  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.209  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.208  2007/02/11 11:47:17  deejay1
- ignore mbas (replaced by vbnc from mono-basic) and httpcfg
- dropped O: mono-basic
- rel. 1

Revision 1.207  2007/02/07 20:34:19  wolf
- make -jn breaks build

Revision 1.206  2007/02/07 19:07:52  deejay1
- up to 1.2.3
- rel. 0.9 - check out httpcfg and mbas

Revision 1.205  2006/12/19 22:44:33  qboosh
- installable again (require _existing_ version of libgdiplus)

Revision 1.204  2006/12/12 16:37:44  deejay1
- up to 1.2.2.1

Revision 1.203  2006/12/05 17:36:34  wolf
- 1.2.2

Revision 1.202  2006/12/02 11:50:44  qboosh
- check in BRs to avoid unnecessary decompressing

Revision 1.201  2006/12/02 10:02:27  pluto
- req. /dev/random to build.

Revision 1.200  2006/12/01 09:02:15  pluto
- release 2 for rebuild with P: *.la

Revision 1.199  2006/11/23 15:32:01  qboosh
- mips is supported now

Revision 1.198  2006/11/23 00:45:20  wolf
- strip --strip-debug

Revision 1.197  2006/11/22 22:11:39  wolf
- don't strip mono

Revision 1.196  2006/11/22 19:10:39  wolf
- 1.2.1

Revision 1.195  2006/11/10 00:17:13  wolf
- official sources

Revision 1.194  2006/11/07 17:25:16  wolf
- 1.2 RC

Revision 1.193  2006/10/28 18:42:51  qboosh
- removed obsolete alpha-atomic patch (already in sources)

Revision 1.192  2006/10/17 10:39:28  qboosh
- alpha is supported now (with JIT)
- glib2 epoch, libgdiplus 1.1.18

Revision 1.191  2006/10/17 08:57:44  qboosh
- removed nolibs patch (obsolete at last)

Revision 1.190  2006/10/16 19:03:19  wolf
- 1.1.18

Revision 1.189  2006/10/13 19:56:47  qboosh
- added CVE note to previous changelog entry

Revision 1.188  2006/10/11 20:52:03  qboosh
- updated to 1.1.17.2 (fixes CVE-2006-5072)

Revision 1.187  2006/09/05 12:02:21  qboosh
- libgdiplus 1.1.17

Revision 1.186  2006/09/05 10:18:25  qboosh
- updated to 1.1.17.1

Revision 1.185  2006/08/30 10:18:07  qboosh
- updated download URL

Revision 1.184  2006/08/30 10:09:57  qboosh
- updated alpha-float patch, cleanup

Revision 1.183  2006/08/30 09:43:28  wolf
- 1.1.17

Revision 1.182  2006/07/24 17:31:46  freetz
- after-boostrap rel.3

Revision 1.181  2006/07/23 21:37:53  freetz
- added script_fixes patch, removed P: for ommited provides by broken
  script, rel.2 for bootstrap

Revision 1.180  2006/07/12 20:06:57  wolf
- 1.1.16.1
- changes in dependency generators cause some problems with mscorlib, so let's
  provide that. maybe it's a matter of doing bootstrap or maybe it's a bug in
  generators, i don't know now

Revision 1.179  2006/07/07 09:20:57  deejay1
- up to 1.1.16

Revision 1.178  2006/05/19 00:38:55  undefine
- add missing dirs /usr/lib/mono/compat-{1,2}.0
- release 3

Revision 1.177  2006/05/01 15:14:36  wolf
- R: binfmt-detector
- rel 2

Revision 1.176  2006/04/15 14:58:48  wolf
- moved all *.mdb files to -debug subpackage; this greatly reduces size of all
  packages, for example runtime was reduced from 50 MB down to 30 MB

Revision 1.175  2006/04/15 13:36:21  wolf
- 1.1.15

Revision 1.174  2006/04/03 16:34:02  wolf
- 1.1.14

Revision 1.173  2006/04/03 14:37:41  wolf
- R: libgdiplus - it's required by System.Drawing.dll
  It would be nice to split mono dlls to subpackages, so that one wouldn't
  need to install 50MB worth of dlls and their dependencies, when only small
  subset is needed. Also all *.dll.mdb should be moved to -debug subpackage,
  as they are only for debugging purposes.

Revision 1.172  2006/03/31 22:10:55  qboosh
- sparc*-linux is supported now (with JIT)

Revision 1.171  2006/03/30 11:31:28  qboosh
- whatever (in mono-find-* scripts)

Revision 1.170  2006/03/30 11:15:05  qboosh
- removed outdated (and wrong) sparc-exception patch

Revision 1.169  2006/03/29 16:16:54  wolf
- 1.1.13.6

Revision 1.168  2006/03/04 13:27:53  qboosh
- BR: xorg-lib-libX11 for libX11 SONAME detection (-devel not needed)

Revision 1.167  2006/03/04 13:18:06  qboosh
- removed obsolete alpha-tls patch and PKG_PATH workaround
- JIT is supported on arm and ia64 now

Revision 1.166  2006/03/04 00:05:12  wolf
- 1.1.13.4

Revision 1.165  2006/01/22 15:54:40  deejay1
- up to 1.1.13.2

Revision 1.164  2006/01/10 15:18:40  wolf
- 1.1.13
- moved Microsoft.JScript.dll stuff to mono-jscript to eliminate
  mono -> mono-csharp dependency

Revision 1.163  2005/12/23 17:01:50  undefine
- up to 1.1.12.1

Revision 1.162  2005/12/22 14:20:29  wolf
- 1.1.12

Revision 1.161  2005/12/16 21:24:53  wolf
- 1.1.11

Revision 1.160  2005/11/30 12:49:24  qboosh
- typo?

Revision 1.159  2005/11/30 12:32:32  freetz
- rel.3

Revision 1.158  2005/11/30 12:29:53  freetz
- rel.2.1 for bootstrap

Revision 1.157  2005/11/26 23:59:00  pluto
- release 2 for Th.

Revision 1.156  2005/11/11 20:23:42  wolf
- fix mono-find-{provides,requires}

Revision 1.155  2005/11/10 19:04:33  wolf
- 1.1.10

Revision 1.154  2005/11/05 06:29:23  qboosh
- i386 is not supported

Revision 1.153  2005/10/13 12:21:32  qboosh
- updated download URL

Revision 1.152  2005/10/11 10:22:30  malekith
- up to 1.1.9.2

Revision 1.151  2005/10/06 13:47:50  qboosh
- added alpha-tls patch

Revision 1.150  2005/10/05 18:19:28  qboosh
- renamed nptl bcond to tls (works with recent 2.4.x kernels too)

Revision 1.149  2005/09/24 10:42:48  pawcioos
- updated to 1.1.9.1

Revision 1.148  2005/09/13 16:13:29  wolf
- rel 1

Revision 1.147  2005/09/13 12:13:39  qboosh
- updated mint patch is back

Revision 1.146  2005/09/09 18:54:16  wolf
- 1.1.9

Revision 1.145  2005/09/06 09:34:21  qboosh
- build libgc with -DUSE_LIBC_PRIVATE_SYMBOLS to use __libc_stack_end
  (needed for distro 2.4.x kernels which hide memory layout from /proc)
- release 5

Revision 1.144  2005/09/04 15:16:10  qboosh
- define fix

Revision 1.143  2005/09/04 14:50:01  qboosh
- use %{_prefix}/lib not /usr/lib in paths (as build system does)
- added mint bcond to deal with interp/jit files differences

Revision 1.142  2005/09/04 11:19:41  arekm
- I've said ''sparc'' ;)

Revision 1.141  2005/09/04 11:14:36  arekm
- not ported to linux sparc

Revision 1.140  2005/09/03 21:34:07  qboosh
- added gc-sparc patch (now mono program builds, but crashes sometimes with SIGSEGV)

Revision 1.139  2005/09/03 19:51:33  arekm
- revert assert on sparc

Revision 1.138  2005/09/03 19:04:42  arekm
- rel 4

Revision 1.137  2005/09/03 10:59:02  qboosh
- added alpha-atomic patch (but build still crashes randomly - make races?)

Revision 1.136  2005/09/02 20:59:57  arekm
- rel 3; rebuild with proper libmagic (rpm will now find proper deps)

Revision 1.135  2005/08/29 05:47:01  qboosh
- mono-devel >= 1.1.8.3-2 BRed if not bootstrap

Revision 1.134  2005/08/12 16:51:39  wolf
- one more thing

Revision 1.133  2005/08/12 16:16:08  wolf
- mono-find-requires/provides are rpm dedicated scripts

Revision 1.132  2005/08/11 23:41:52  wolf
- s/rpm-build >= 4.4.2-0.3/rpmbuild(monoautodeps)/

Revision 1.131  2005/08/11 18:23:24  wolf
- handle rpm mono provides/requires
- rel 2

Revision 1.130  2005/08/11 17:52:36  wolf
- use bash for bash scripts

Revision 1.129  2005/07/28 19:53:35  pawcioos
- updated to 1.1.8.3

Revision 1.128  2005/07/12 13:43:04  freetz
- 1.1.8.2

Revision 1.127  2005/06/28 21:36:12  charles
- glib2-devel up to >= 2.4, -devel R: glib2-devel
- libMonoPosixHelper.so and libikvm-native.so (libraries!) moved to base
- rel. 2

Revision 1.126  2005/06/21 17:28:05  pawcioos
- updated to 1.1.8.1

Revision 1.125  2005/06/19 09:22:19  twittner
- added bcond_without static_libs

Revision 1.124  2005/06/18 22:42:00  qboosh
- pass --enable-fast-install to configure
  (disabling it by default in configure.in breaks monodis+monograph install
  with DESTDIR and no/older mono installed in system)

Revision 1.123  2005/06/18 21:13:36  qboosh
- updated sonames patch is back

Revision 1.122  2005/06/18 13:00:14  wolf
- 1.1.8

Revision 1.121  2005/05/12 19:02:09  wolf
- cut changelog

Revision 1.120  2005/05/12 05:52:01  qboosh
- note about i486 as minimal supported x86

Revision 1.119  2005/05/11 21:00:47  qboosh
- added mint patch (compilation fix)

Revision 1.118  2005/05/11 20:45:58  malekith
- merge qboosh's changed from DEVEL:
- libgdiplus seems to be used only at run, not build time
- use x8664 macro

Revision 1.117  2005/05/11 20:23:41  malekith
- merge the DEVEL branch
